# keystone.auth.plugins.core module

class keystone.auth.plugins.core.AppCredInfo

  Bases: `BaseUserInfo`

class keystone.auth.plugins.core.BaseUserInfo

  Bases: `ProviderAPIMixin`

  classmethod create(auth_payload, method_name)

class keystone.auth.plugins.core.TOTPUserInfo

  Bases: `BaseUserInfo`

class keystone.auth.plugins.core.UserAuthInfo

  Bases: `BaseUserInfo`

keystone.auth.plugins.core.construct_method_map_from_config()

  Determine authentication method types for deployment.

  Returns:

    a dictionary containing the methods and their indexes

keystone.auth.plugins.core.convert_integer_to_method_list(method_int)

  Convert an integer to a list of methods.

  Parameters:

    method_int – an integer representing methods

  Returns:

    a corresponding list of methods

keystone.auth.plugins.core.convert_method_list_to_integer(methods)

  Convert the method type(s) to an integer.

  Parameters:

    methods – a list of method names

  Returns:

    an integer representing the methods

this page last updated: 2026-06-11 21:50:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug